#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Reyes = App.ShipProperty_Create("Reyes")

Reyes.SetGenus(1)
Reyes.SetSpecies(103)
Reyes.SetMass(150.000000)
Reyes.SetRotationalInertia(15.000000)
Reyes.SetShipName("reyes")
Reyes.SetModelFilename("data/models/ships/reyes.nif")
Reyes.SetDamageResolution(15.000000)
Reyes.SetAffiliation(0)
Reyes.SetStationary(0)
Reyes.SetAIString("FedAttack")
Reyes.SetDeathExplosionSound("gl_sDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(Reyes)
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(11000.000000)
Hull.SetCritical(0)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.500000, 0.000000)
Hull.SetPosition2D(61.000000, 50.000000)
Hull.SetRepairComplexity(3.000000)
Hull.SetDisabledPercentage(0.500000)
Hull.SetRadius(0.500000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(2500.000000)
Bridge.SetCritical(0)
Bridge.SetTargetable(1)
Bridge.SetPrimary(1)
Bridge.SetPosition(0.000000, 1.120000, 0.000000)
Bridge.SetPosition2D(61.000000, 29.000000)
Bridge.SetRepairComplexity(3.000000)
Bridge.SetDisabledPercentage(0.500000)
Bridge.SetRadius(0.100000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(200.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(1)
ShuttleBay.SetPosition(0.000000, -0.060000, -0.200000)
ShuttleBay.SetPosition2D(70.000000, 81.000000)
ShuttleBay.SetRepairComplexity(1.000000)
ShuttleBay.SetDisabledPercentage(0.500000)
ShuttleBay.SetRadius(0.062500)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(2000.000000)
WarpCore.SetCritical(0)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, 0.400000, -0.100000)
WarpCore.SetPosition2D(66.000000, 67.000000)
WarpCore.SetRepairComplexity(5.000000)
WarpCore.SetDisabledPercentage(0.500000)
WarpCore.SetRadius(0.100000)
WarpCore.SetMainBatteryLimit(60000.000000)
WarpCore.SetBackupBatteryLimit(5000.000000)
WarpCore.SetMainConduitCapacity(500.000000)
WarpCore.SetBackupConduitCapacity(300.000000)
WarpCore.SetPowerOutput(600.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(1000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(1)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, 0.250000, -0.100000)
WarpEngines.SetPosition2D(63.000000, 70.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.500000)
WarpEngines.SetRadius(0.100000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
dorsewarp = App.EngineProperty_Create("dorse warp")

dorsewarp.SetMaxCondition(800.000000)
dorsewarp.SetCritical(0)
dorsewarp.SetTargetable(1)
dorsewarp.SetPrimary(1)
dorsewarp.SetPosition(0.000000, -0.600000, 0.350000)
dorsewarp.SetPosition2D(60.000000, 92.000000)
dorsewarp.SetRepairComplexity(5.000000)
dorsewarp.SetDisabledPercentage(0.500000)
dorsewarp.SetRadius(0.070000)
dorsewarp.SetEngineType(dorsewarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(dorsewarp)
#################################################
ventwarp = App.EngineProperty_Create("vent warp")

ventwarp.SetMaxCondition(800.000000)
ventwarp.SetCritical(0)
ventwarp.SetTargetable(1)
ventwarp.SetPrimary(1)
ventwarp.SetPosition(0.000000, -1.000000, 0.100000)
ventwarp.SetPosition2D(69.000000, 91.000000)
ventwarp.SetRepairComplexity(5.000000)
ventwarp.SetDisabledPercentage(0.500000)
ventwarp.SetRadius(0.070000)
ventwarp.SetEngineType(ventwarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(ventwarp)
#################################################
portimpulse = App.EngineProperty_Create("port impulse")

portimpulse.SetMaxCondition(1000.000000)
portimpulse.SetCritical(0)
portimpulse.SetTargetable(1)
portimpulse.SetPrimary(1)
portimpulse.SetPosition(-0.336801, -0.206020, 0.217531)
portimpulse.SetPosition2D(53.000000, 74.000000)
portimpulse.SetRepairComplexity(3.000000)
portimpulse.SetDisabledPercentage(0.500000)
portimpulse.SetRadius(0.020000)
portimpulse.SetEngineType(portimpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(portimpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(1000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.336801, -0.206020, 0.217531)
StarImpulse.SetPosition2D(77.000000, 73.000000)
StarImpulse.SetRepairComplexity(3.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.020000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(1000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(1)
Engineering.SetPrimary(1)
Engineering.SetPosition(0.000000, 0.300000, -0.150000)
Engineering.SetPosition2D(61.000000, 76.000000)
Engineering.SetRepairComplexity(3.000000)
Engineering.SetDisabledPercentage(0.500000)
Engineering.SetRadius(0.250000)
Engineering.SetNormalPowerPerSecond(1.000000)
Engineering.SetMaxRepairPoints(35.000000)
Engineering.SetNumRepairTeams(2)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
DF = App.PhaserProperty_Create("DF")

DF.SetMaxCondition(700.000000)
DF.SetCritical(0)
DF.SetTargetable(1)
DF.SetPrimary(1)
DF.SetPosition(0.000000, 1.430810, 0.297607)
DF.SetPosition2D(64.000000, 5.000000)
DF.SetRepairComplexity(4.000000)
DF.SetDisabledPercentage(0.500000)
DF.SetRadius(0.250000)
DF.SetDumbfire(0)
DF.SetWeaponID(0)
DF.SetGroups(0)
DF.SetDamageRadiusFactor(0.250000)
DF.SetIconNum(364)
DF.SetIconPositionX(63.000000)
DF.SetIconPositionY(24.000000)
DF.SetIconAboveShip(1)
DF.SetFireSound("Tos Phaser")
DF.SetMaxCharge(4.500000)
DF.SetMaxDamage(100.000000)
DF.SetMaxDamageDistance(45.000000)
DF.SetMinFiringCharge(3.000000)
DF.SetNormalDischargeRate(2.000000)
DF.SetRechargeRate(0.200000)
DF.SetIndicatorIconNum(510)
DF.SetIndicatorIconPositionX(59.000000)
DF.SetIndicatorIconPositionY(19.000000)
DFForward = App.TGPoint3()
DFForward.SetXYZ(0.000000, 1.000000, 0.000000)
DFUp = App.TGPoint3()
DFUp.SetXYZ(0.000000, 0.000000, 1.000000)
DF.SetOrientation(DFForward, DFUp)
DF.SetWidth(0.047000)
DF.SetLength(0.010000)
DF.SetArcWidthAngles(-0.785398, 0.785398)
DF.SetArcHeightAngles(-0.087266, 0.785398)
DF.SetPhaserTextureStart(0)
DF.SetPhaserTextureEnd(0)
DF.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DF.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DF.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DF.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DF.SetInnerCoreColor(kColor)
DF.SetNumSides(6)
DF.SetMainRadius(0.080000)
DF.SetTaperRadius(0.010000)
DF.SetCoreScale(0.500000)
DF.SetTaperRatio(0.250000)
DF.SetTaperMinLength(5.000000)
DF.SetTaperMaxLength(30.000000)
DF.SetLengthTextureTilePerUnit(0.500000)
DF.SetPerimeterTile(1.000000)
DF.SetTextureSpeed(2.500000)
DF.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DF)
#################################################
DP = App.PhaserProperty_Create("DP")

DP.SetMaxCondition(700.000000)
DP.SetCritical(0)
DP.SetTargetable(1)
DP.SetPrimary(1)
DP.SetPosition(-0.338479, 1.048790, 0.292346)
DP.SetPosition2D(27.000000, 33.000000)
DP.SetRepairComplexity(4.000000)
DP.SetDisabledPercentage(0.500000)
DP.SetRadius(0.250000)
DP.SetDumbfire(0)
DP.SetWeaponID(0)
DP.SetGroups(0)
DP.SetDamageRadiusFactor(0.250000)
DP.SetIconNum(340)
DP.SetIconPositionX(32.000000)
DP.SetIconPositionY(47.000000)
DP.SetIconAboveShip(1)
DP.SetFireSound("Tos Phaser")
DP.SetMaxCharge(4.500000)
DP.SetMaxDamage(100.000000)
DP.SetMaxDamageDistance(45.000000)
DP.SetMinFiringCharge(3.000000)
DP.SetNormalDischargeRate(2.000000)
DP.SetRechargeRate(0.200000)
DP.SetIndicatorIconNum(500)
DP.SetIndicatorIconPositionX(30.000000)
DP.SetIndicatorIconPositionY(47.000000)
DPForward = App.TGPoint3()
DPForward.SetXYZ(-1.000000, 0.000000, 0.000000)
DPUp = App.TGPoint3()
DPUp.SetXYZ(0.000000, 0.000000, 1.000000)
DP.SetOrientation(DPForward, DPUp)
DP.SetWidth(0.048000)
DP.SetLength(0.010000)
DP.SetArcWidthAngles(-0.785398, 0.785398)
DP.SetArcHeightAngles(-0.087266, 0.785398)
DP.SetPhaserTextureStart(0)
DP.SetPhaserTextureEnd(0)
DP.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DP.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DP.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DP.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DP.SetInnerCoreColor(kColor)
DP.SetNumSides(6)
DP.SetMainRadius(0.080000)
DP.SetTaperRadius(0.010000)
DP.SetCoreScale(0.500000)
DP.SetTaperRatio(0.250000)
DP.SetTaperMinLength(5.000000)
DP.SetTaperMaxLength(30.000000)
DP.SetLengthTextureTilePerUnit(0.500000)
DP.SetPerimeterTile(1.000000)
DP.SetTextureSpeed(2.500000)
DP.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DP)
#################################################
DS = App.PhaserProperty_Create("DS")

DS.SetMaxCondition(700.000000)
DS.SetCritical(0)
DS.SetTargetable(1)
DS.SetPrimary(1)
DS.SetPosition(0.338761, 1.050840, 0.293000)
DS.SetPosition2D(101.000000, 34.000000)
DS.SetRepairComplexity(4.000000)
DS.SetDisabledPercentage(0.500000)
DS.SetRadius(0.250000)
DS.SetDumbfire(0)
DS.SetWeaponID(0)
DS.SetGroups(0)
DS.SetDamageRadiusFactor(0.250000)
DS.SetIconNum(360)
DS.SetIconPositionX(96.000000)
DS.SetIconPositionY(47.000000)
DS.SetIconAboveShip(1)
DS.SetFireSound("Tos Phaser")
DS.SetMaxCharge(4.500000)
DS.SetMaxDamage(100.000000)
DS.SetMaxDamageDistance(45.000000)
DS.SetMinFiringCharge(3.000000)
DS.SetNormalDischargeRate(2.000000)
DS.SetRechargeRate(0.200000)
DS.SetIndicatorIconNum(503)
DS.SetIndicatorIconPositionX(94.000000)
DS.SetIndicatorIconPositionY(56.000000)
DSForward = App.TGPoint3()
DSForward.SetXYZ(1.000000, 0.000000, 0.000000)
DSUp = App.TGPoint3()
DSUp.SetXYZ(0.000000, 0.000000, 1.000000)
DS.SetOrientation(DSForward, DSUp)
DS.SetWidth(0.048000)
DS.SetLength(0.010000)
DS.SetArcWidthAngles(-0.785398, 0.785398)
DS.SetArcHeightAngles(-0.087266, 0.785398)
DS.SetPhaserTextureStart(0)
DS.SetPhaserTextureEnd(0)
DS.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DS.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DS.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DS.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DS.SetInnerCoreColor(kColor)
DS.SetNumSides(6)
DS.SetMainRadius(0.080000)
DS.SetTaperRadius(0.010000)
DS.SetCoreScale(0.500000)
DS.SetTaperRatio(0.250000)
DS.SetTaperMinLength(5.000000)
DS.SetTaperMaxLength(30.000000)
DS.SetLengthTextureTilePerUnit(0.500000)
DS.SetPerimeterTile(1.000000)
DS.SetTextureSpeed(2.500000)
DS.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DS)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(800.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(1)
Phasers.SetPrimary(1)
Phasers.SetPosition(0.000000, 1.300000, 0.300000)
Phasers.SetPosition2D(-5.000000, 18.000000)
Phasers.SetRepairComplexity(3.000000)
Phasers.SetDisabledPercentage(0.500000)
Phasers.SetRadius(0.062500)
Phasers.SetNormalPowerPerSecond(100.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
VF = App.PhaserProperty_Create("VF")

VF.SetMaxCondition(700.000000)
VF.SetCritical(0)
VF.SetTargetable(1)
VF.SetPrimary(1)
VF.SetPosition(0.004608, 1.270880, 0.202369)
VF.SetPosition2D(64.000000, 19.000000)
VF.SetRepairComplexity(3.000000)
VF.SetDisabledPercentage(0.500000)
VF.SetRadius(0.125000)
VF.SetDumbfire(0)
VF.SetWeaponID(0)
VF.SetGroups(0)
VF.SetDamageRadiusFactor(0.250000)
VF.SetIconNum(364)
VF.SetIconPositionX(63.000000)
VF.SetIconPositionY(39.000000)
VF.SetIconAboveShip(0)
VF.SetFireSound("Tos Phaser")
VF.SetMaxCharge(4.500000)
VF.SetMaxDamage(100.000000)
VF.SetMaxDamageDistance(45.000000)
VF.SetMinFiringCharge(3.000000)
VF.SetNormalDischargeRate(2.000000)
VF.SetRechargeRate(0.200000)
VF.SetIndicatorIconNum(510)
VF.SetIndicatorIconPositionX(59.000000)
VF.SetIndicatorIconPositionY(34.000000)
VFForward = App.TGPoint3()
VFForward.SetXYZ(0.000000, 1.000000, 0.000000)
VFUp = App.TGPoint3()
VFUp.SetXYZ(0.000000, 0.000000, 1.000000)
VF.SetOrientation(VFForward, VFUp)
VF.SetWidth(0.048000)
VF.SetLength(0.010000)
VF.SetArcWidthAngles(-0.785398, 0.785398)
VF.SetArcHeightAngles(-0.087266, -0.785398)
VF.SetPhaserTextureStart(0)
VF.SetPhaserTextureEnd(0)
VF.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VF.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VF.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
VF.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
VF.SetInnerCoreColor(kColor)
VF.SetNumSides(6)
VF.SetMainRadius(0.080000)
VF.SetTaperRadius(0.010000)
VF.SetCoreScale(0.500000)
VF.SetTaperRatio(0.250000)
VF.SetTaperMinLength(5.000000)
VF.SetTaperMaxLength(30.000000)
VF.SetLengthTextureTilePerUnit(0.500000)
VF.SetPerimeterTile(1.000000)
VF.SetTextureSpeed(2.500000)
VF.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VF)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(800.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(1)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 1.300000, 0.250000)
Torpedoes.SetPosition2D(66.000000, 39.000000)
Torpedoes.SetRepairComplexity(3.000000)
Torpedoes.SetDisabledPercentage(0.500000)
Torpedoes.SetRadius(0.062500)
Torpedoes.SetNormalPowerPerSecond(150.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 200)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.TOSphotorp")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
Porttube = App.TorpedoTubeProperty_Create("Port tube")

Porttube.SetMaxCondition(500.000000)
Porttube.SetCritical(0)
Porttube.SetTargetable(1)
Porttube.SetPrimary(1)
Porttube.SetPosition(-0.020762, 1.255120, 0.344586)
Porttube.SetPosition2D(55.000000, 25.000000)
Porttube.SetRepairComplexity(3.000000)
Porttube.SetDisabledPercentage(0.500000)
Porttube.SetRadius(0.025000)
Porttube.SetDumbfire(0)
Porttube.SetWeaponID(0)
Porttube.SetGroups(0)
Porttube.SetDamageRadiusFactor(0.600000)
Porttube.SetIconNum(370)
Porttube.SetIconPositionX(74.000000)
Porttube.SetIconPositionY(56.000000)
Porttube.SetIconAboveShip(1)
Porttube.SetImmediateDelay(0.500000)
Porttube.SetReloadDelay(20.000000)
Porttube.SetMaxReady(2)
PorttubeDirection = App.TGPoint3()
PorttubeDirection.SetXYZ(0.000000, 1.000000, 0.000000)
Porttube.SetDirection(PorttubeDirection)
PorttubeRight = App.TGPoint3()
PorttubeRight.SetXYZ(1.000000, 0.000000, 0.000000)
Porttube.SetRight(PorttubeRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(Porttube)
#################################################
StarTube = App.TorpedoTubeProperty_Create("Star Tube")

StarTube.SetMaxCondition(500.000000)
StarTube.SetCritical(0)
StarTube.SetTargetable(1)
StarTube.SetPrimary(1)
StarTube.SetPosition(0.020762, 1.255120, 0.344586)
StarTube.SetPosition2D(75.000000, 25.000000)
StarTube.SetRepairComplexity(3.000000)
StarTube.SetDisabledPercentage(0.500000)
StarTube.SetRadius(0.025000)
StarTube.SetDumbfire(1)
StarTube.SetWeaponID(0)
StarTube.SetGroups(0)
StarTube.SetDamageRadiusFactor(0.600000)
StarTube.SetIconNum(370)
StarTube.SetIconPositionX(80.000000)
StarTube.SetIconPositionY(55.000000)
StarTube.SetIconAboveShip(1)
StarTube.SetImmediateDelay(0.500000)
StarTube.SetReloadDelay(20.000000)
StarTube.SetMaxReady(2)
StarTubeDirection = App.TGPoint3()
StarTubeDirection.SetXYZ(0.000000, 1.000000, 0.000000)
StarTube.SetDirection(StarTubeDirection)
StarTubeRight = App.TGPoint3()
StarTubeRight.SetXYZ(1.000000, 0.000000, 0.000000)
StarTube.SetRight(StarTubeRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarTube)
#################################################
SensorSystem = App.SensorProperty_Create("Sensor System")

SensorSystem.SetMaxCondition(1000.000000)
SensorSystem.SetCritical(0)
SensorSystem.SetTargetable(1)
SensorSystem.SetPrimary(1)
SensorSystem.SetPosition(-0.003053, 0.947985, 0.080000)
SensorSystem.SetPosition2D(62.000000, 33.000000)
SensorSystem.SetRepairComplexity(3.000000)
SensorSystem.SetDisabledPercentage(0.500000)
SensorSystem.SetRadius(0.050000)
SensorSystem.SetNormalPowerPerSecond(100.000000)
SensorSystem.SetBaseSensorRange(2000.000000)
SensorSystem.SetMaxProbes(10)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorSystem)
#################################################
SheildGenerator = App.ShieldProperty_Create("Sheild Generator")

SheildGenerator.SetMaxCondition(1500.000000)
SheildGenerator.SetCritical(0)
SheildGenerator.SetTargetable(1)
SheildGenerator.SetPrimary(1)
SheildGenerator.SetPosition(0.000000, 0.500000, -0.150000)
SheildGenerator.SetPosition2D(-3.000000, 37.000000)
SheildGenerator.SetRepairComplexity(3.000000)
SheildGenerator.SetDisabledPercentage(0.500000)
SheildGenerator.SetRadius(0.125000)
SheildGenerator.SetNormalPowerPerSecond(200.000000)
SheildGeneratorShieldGlowColor = App.TGColorA()
SheildGeneratorShieldGlowColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.002941)
SheildGenerator.SetShieldGlowColor(SheildGeneratorShieldGlowColor)
SheildGenerator.SetShieldGlowDecay(1.000000)
SheildGenerator.SetMaxShields(SheildGenerator.FRONT_SHIELDS, 10000.000000)
SheildGenerator.SetMaxShields(SheildGenerator.REAR_SHIELDS, 10000.000000)
SheildGenerator.SetMaxShields(SheildGenerator.TOP_SHIELDS, 8000.000000)
SheildGenerator.SetMaxShields(SheildGenerator.BOTTOM_SHIELDS, 8000.000000)
SheildGenerator.SetMaxShields(SheildGenerator.LEFT_SHIELDS, 8000.000000)
SheildGenerator.SetMaxShields(SheildGenerator.RIGHT_SHIELDS, 8000.000000)
SheildGenerator.SetShieldChargePerSecond(SheildGenerator.FRONT_SHIELDS, 10.000000)
SheildGenerator.SetShieldChargePerSecond(SheildGenerator.REAR_SHIELDS, 10.000000)
SheildGenerator.SetShieldChargePerSecond(SheildGenerator.TOP_SHIELDS, 8.000000)
SheildGenerator.SetShieldChargePerSecond(SheildGenerator.BOTTOM_SHIELDS, 8.000000)
SheildGenerator.SetShieldChargePerSecond(SheildGenerator.LEFT_SHIELDS, 8.000000)
SheildGenerator.SetShieldChargePerSecond(SheildGenerator.RIGHT_SHIELDS, 8.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(SheildGenerator)
#################################################
ShuttlebayPort = App.ObjectEmitterProperty_Create("Shuttle bay Port")

ShuttlebayPortForward = App.TGPoint3()
ShuttlebayPortForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ShuttlebayPortUp = App.TGPoint3()
ShuttlebayPortUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttlebayPortRight = App.TGPoint3()
ShuttlebayPortRight.SetXYZ(0.000000, 1.000000, 0.000000)
ShuttlebayPort.SetOrientation(ShuttlebayPortForward, ShuttlebayPortUp, ShuttlebayPortRight)
ShuttlebayPortPosition = App.TGPoint3()
ShuttlebayPortPosition.SetXYZ(-0.102828, -0.062651, -0.177885)
ShuttlebayPort.SetPosition(ShuttlebayPortPosition)
ShuttlebayPort.SetEmittedObjectType(ShuttlebayPort.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttlebayPort)
#################################################
ShuttlebayStar = App.ObjectEmitterProperty_Create("Shuttle bay Star")

ShuttlebayStarForward = App.TGPoint3()
ShuttlebayStarForward.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttlebayStarUp = App.TGPoint3()
ShuttlebayStarUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttlebayStarRight = App.TGPoint3()
ShuttlebayStarRight.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttlebayStar.SetOrientation(ShuttlebayStarForward, ShuttlebayStarUp, ShuttlebayStarRight)
ShuttlebayStarPosition = App.TGPoint3()
ShuttlebayStarPosition.SetXYZ(0.102828, -0.062651, -0.177885)
ShuttlebayStar.SetPosition(ShuttlebayStarPosition)
ShuttlebayStar.SetEmittedObjectType(ShuttlebayStar.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttlebayStar)
#################################################
Fore = App.PositionOrientationProperty_Create("Fore")

ForeForward = App.TGPoint3()
ForeForward.SetXYZ(0.000000, 1.000000, 0.000000)
ForeUp = App.TGPoint3()
ForeUp.SetXYZ(0.000000, 0.000000, 1.000000)
ForeRight = App.TGPoint3()
ForeRight.SetXYZ(1.000000, 0.000000, 0.000000)
Fore.SetOrientation(ForeForward, ForeUp, ForeRight)
ForePosition = App.TGPoint3()
ForePosition.SetXYZ(0.000000, 2.000000, 0.000000)
Fore.SetPosition(ForePosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(Fore)
#################################################
Aft = App.PositionOrientationProperty_Create("Aft")

AftForward = App.TGPoint3()
AftForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftUp = App.TGPoint3()
AftUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftRight = App.TGPoint3()
AftRight.SetXYZ(1.000000, 0.000000, 0.000000)
Aft.SetOrientation(AftForward, AftUp, AftRight)
AftPosition = App.TGPoint3()
AftPosition.SetXYZ(0.000000, 0.000000, 0.500000)
Aft.SetPosition(AftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(Aft)
#################################################
Dorse = App.PositionOrientationProperty_Create("Dorse")

DorseForward = App.TGPoint3()
DorseForward.SetXYZ(0.000000, 0.000000, 1.000000)
DorseUp = App.TGPoint3()
DorseUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorseRight = App.TGPoint3()
DorseRight.SetXYZ(1.000000, 0.000000, 0.000000)
Dorse.SetOrientation(DorseForward, DorseUp, DorseRight)
DorsePosition = App.TGPoint3()
DorsePosition.SetXYZ(0.000000, 0.000000, 1.000000)
Dorse.SetPosition(DorsePosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(Dorse)
#################################################
Vent = App.PositionOrientationProperty_Create("Vent")

VentForward = App.TGPoint3()
VentForward.SetXYZ(0.000000, 0.000000, -1.000000)
VentUp = App.TGPoint3()
VentUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentRight = App.TGPoint3()
VentRight.SetXYZ(1.000000, 0.000000, 0.000000)
Vent.SetOrientation(VentForward, VentUp, VentRight)
VentPosition = App.TGPoint3()
VentPosition.SetXYZ(0.000000, 0.000000, -0.500000)
Vent.SetPosition(VentPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(Vent)
#################################################
Port = App.PositionOrientationProperty_Create("Port")

PortForward = App.TGPoint3()
PortForward.SetXYZ(-1.000000, 0.000000, 0.000000)
PortUp = App.TGPoint3()
PortUp.SetXYZ(0.000000, 0.000000, 1.000000)
PortRight = App.TGPoint3()
PortRight.SetXYZ(1.000000, 0.000000, 0.000000)
Port.SetOrientation(PortForward, PortUp, PortRight)
PortPosition = App.TGPoint3()
PortPosition.SetXYZ(-1.000000, 1.000000, 0.000000)
Port.SetPosition(PortPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(Port)
#################################################
Star = App.PositionOrientationProperty_Create("Star")

StarForward = App.TGPoint3()
StarForward.SetXYZ(1.000000, 0.000000, 0.000000)
StarUp = App.TGPoint3()
StarUp.SetXYZ(0.000000, 0.000000, 1.000000)
StarRight = App.TGPoint3()
StarRight.SetXYZ(1.000000, 0.000000, 0.000000)
Star.SetOrientation(StarForward, StarUp, StarRight)
StarPosition = App.TGPoint3()
StarPosition.SetXYZ(1.000000, 1.000000, 0.000000)
Star.SetPosition(StarPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(Star)
#################################################
FirstPerson = App.PositionOrientationProperty_Create("First Person")

FirstPersonForward = App.TGPoint3()
FirstPersonForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonUp = App.TGPoint3()
FirstPersonUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonRight = App.TGPoint3()
FirstPersonRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPerson.SetOrientation(FirstPersonForward, FirstPersonUp, FirstPersonRight)
FirstPersonPosition = App.TGPoint3()
FirstPersonPosition.SetXYZ(-0.006137, 1.158430, 0.393112)
FirstPerson.SetPosition(FirstPersonPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPerson)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(1000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(1)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.400000, 0.200000)
ImpulseEngines.SetPosition2D(64.000000, 65.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.250000)
ImpulseEngines.SetNormalPowerPerSecond(50.000000)
ImpulseEngines.SetMaxAccel(3.000000)
ImpulseEngines.SetMaxAngularAccel(0.150000)
ImpulseEngines.SetMaxAngularVelocity(0.400000)
ImpulseEngines.SetMaxSpeed(6.600000)
ImpulseEngines.SetEngineSound("Fed Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
evfp = App.PhaserProperty_Create("evfp")

evfp.SetMaxCondition(1000.000000)
evfp.SetCritical(0)
evfp.SetTargetable(1)
evfp.SetPrimary(1)
evfp.SetPosition(-0.022483, 0.369244, -0.294501)
evfp.SetPosition2D(51.000000, 83.000000)
evfp.SetRepairComplexity(3.000000)
evfp.SetDisabledPercentage(0.500000)
evfp.SetRadius(0.250000)
evfp.SetDumbfire(0)
evfp.SetWeaponID(0)
evfp.SetGroups(0)
evfp.SetDamageRadiusFactor(0.250000)
evfp.SetIconNum(330)
evfp.SetIconPositionX(23.000000)
evfp.SetIconPositionY(64.000000)
evfp.SetIconAboveShip(0)
evfp.SetFireSound("Tos Phaser")
evfp.SetMaxCharge(4.500000)
evfp.SetMaxDamage(100.000000)
evfp.SetMaxDamageDistance(45.000000)
evfp.SetMinFiringCharge(3.000000)
evfp.SetNormalDischargeRate(2.000000)
evfp.SetRechargeRate(0.200000)
evfp.SetIndicatorIconNum(505)
evfp.SetIndicatorIconPositionX(29.000000)
evfp.SetIndicatorIconPositionY(62.000000)
evfpForward = App.TGPoint3()
evfpForward.SetXYZ(0.000000, 1.000000, 0.000000)
evfpUp = App.TGPoint3()
evfpUp.SetXYZ(0.000000, 0.000000, 1.000000)
evfp.SetOrientation(evfpForward, evfpUp)
evfp.SetWidth(0.010000)
evfp.SetLength(0.010000)
evfp.SetArcWidthAngles(1.047198, -1.047198)
evfp.SetArcHeightAngles(0.000000, -1.308997)
evfp.SetPhaserTextureStart(0)
evfp.SetPhaserTextureEnd(0)
evfp.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evfp.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evfp.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evfp.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evfp.SetInnerCoreColor(kColor)
evfp.SetNumSides(6)
evfp.SetMainRadius(0.150000)
evfp.SetTaperRadius(0.010000)
evfp.SetCoreScale(0.500000)
evfp.SetTaperRatio(0.250000)
evfp.SetTaperMinLength(5.000000)
evfp.SetTaperMaxLength(30.000000)
evfp.SetLengthTextureTilePerUnit(0.500000)
evfp.SetPerimeterTile(1.000000)
evfp.SetTextureSpeed(2.500000)
evfp.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(evfp)
#################################################
evfs = App.PhaserProperty_Create("evfs")

evfs.SetMaxCondition(1000.000000)
evfs.SetCritical(0)
evfs.SetTargetable(1)
evfs.SetPrimary(1)
evfs.SetPosition(0.022000, 0.366500, -0.294501)
evfs.SetPosition2D(79.000000, 83.000000)
evfs.SetRepairComplexity(3.000000)
evfs.SetDisabledPercentage(0.500000)
evfs.SetRadius(0.250000)
evfs.SetDumbfire(0)
evfs.SetWeaponID(0)
evfs.SetGroups(0)
evfs.SetDamageRadiusFactor(0.250000)
evfs.SetIconNum(350)
evfs.SetIconPositionX(82.000000)
evfs.SetIconPositionY(66.000000)
evfs.SetIconAboveShip(0)
evfs.SetFireSound("Tos Phaser")
evfs.SetMaxCharge(4.500000)
evfs.SetMaxDamage(100.000000)
evfs.SetMaxDamageDistance(45.000000)
evfs.SetMinFiringCharge(3.000000)
evfs.SetNormalDischargeRate(2.000000)
evfs.SetRechargeRate(0.200000)
evfs.SetIndicatorIconNum(506)
evfs.SetIndicatorIconPositionX(88.000000)
evfs.SetIndicatorIconPositionY(64.000000)
evfsForward = App.TGPoint3()
evfsForward.SetXYZ(0.000000, 1.000000, 0.000000)
evfsUp = App.TGPoint3()
evfsUp.SetXYZ(0.000000, 0.000000, 1.000000)
evfs.SetOrientation(evfsForward, evfsUp)
evfs.SetWidth(0.010000)
evfs.SetLength(0.010000)
evfs.SetArcWidthAngles(1.047198, -1.047198)
evfs.SetArcHeightAngles(0.000000, -1.308997)
evfs.SetPhaserTextureStart(0)
evfs.SetPhaserTextureEnd(0)
evfs.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evfs.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evfs.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evfs.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evfs.SetInnerCoreColor(kColor)
evfs.SetNumSides(6)
evfs.SetMainRadius(0.150000)
evfs.SetTaperRadius(0.010000)
evfs.SetCoreScale(0.500000)
evfs.SetTaperRatio(0.250000)
evfs.SetTaperMinLength(5.000000)
evfs.SetTaperMaxLength(30.000000)
evfs.SetLengthTextureTilePerUnit(0.500000)
evfs.SetPerimeterTile(1.000000)
evfs.SetTextureSpeed(2.500000)
evfs.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(evfs)
#################################################
evap = App.PhaserProperty_Create("evap")

evap.SetMaxCondition(1000.000000)
evap.SetCritical(0)
evap.SetTargetable(1)
evap.SetPrimary(1)
evap.SetPosition(-0.019515, 0.315657, -0.293670)
evap.SetPosition2D(51.000000, 98.000000)
evap.SetRepairComplexity(3.000000)
evap.SetDisabledPercentage(0.500000)
evap.SetRadius(0.250000)
evap.SetDumbfire(0)
evap.SetWeaponID(0)
evap.SetGroups(0)
evap.SetDamageRadiusFactor(0.250000)
evap.SetIconNum(335)
evap.SetIconPositionX(24.000000)
evap.SetIconPositionY(86.000000)
evap.SetIconAboveShip(0)
evap.SetFireSound("Tos Phaser")
evap.SetMaxCharge(4.500000)
evap.SetMaxDamage(100.000000)
evap.SetMaxDamageDistance(45.000000)
evap.SetMinFiringCharge(3.000000)
evap.SetNormalDischargeRate(2.000000)
evap.SetRechargeRate(0.200000)
evap.SetIndicatorIconNum(514)
evap.SetIndicatorIconPositionX(37.000000)
evap.SetIndicatorIconPositionY(89.000000)
evapForward = App.TGPoint3()
evapForward.SetXYZ(0.000000, -1.000000, 0.000000)
evapUp = App.TGPoint3()
evapUp.SetXYZ(0.000000, 0.000000, 1.000000)
evap.SetOrientation(evapForward, evapUp)
evap.SetWidth(0.010000)
evap.SetLength(0.010000)
evap.SetArcWidthAngles(-1.047198, 1.047198)
evap.SetArcHeightAngles(0.000000, -1.308997)
evap.SetPhaserTextureStart(0)
evap.SetPhaserTextureEnd(0)
evap.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evap.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evap.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evap.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evap.SetInnerCoreColor(kColor)
evap.SetNumSides(6)
evap.SetMainRadius(0.150000)
evap.SetTaperRadius(0.010000)
evap.SetCoreScale(0.500000)
evap.SetTaperRatio(0.250000)
evap.SetTaperMinLength(5.000000)
evap.SetTaperMaxLength(30.000000)
evap.SetLengthTextureTilePerUnit(0.500000)
evap.SetPerimeterTile(1.000000)
evap.SetTextureSpeed(2.500000)
evap.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(evap)
#################################################
evas = App.PhaserProperty_Create("evas")

evas.SetMaxCondition(1000.000000)
evas.SetCritical(0)
evas.SetTargetable(1)
evas.SetPrimary(1)
evas.SetPosition(0.019515, 0.315657, -0.293670)
evas.SetPosition2D(79.000000, 98.000000)
evas.SetRepairComplexity(3.000000)
evas.SetDisabledPercentage(0.500000)
evas.SetRadius(0.250000)
evas.SetDumbfire(0)
evas.SetWeaponID(0)
evas.SetGroups(0)
evas.SetDamageRadiusFactor(0.250000)
evas.SetIconNum(355)
evas.SetIconPositionX(80.000000)
evas.SetIconPositionY(86.000000)
evas.SetIconAboveShip(0)
evas.SetFireSound("Tos Phaser")
evas.SetMaxCharge(4.500000)
evas.SetMaxDamage(100.000000)
evas.SetMaxDamageDistance(45.000000)
evas.SetMinFiringCharge(3.000000)
evas.SetNormalDischargeRate(2.000000)
evas.SetRechargeRate(0.200000)
evas.SetIndicatorIconNum(515)
evas.SetIndicatorIconPositionX(93.000000)
evas.SetIndicatorIconPositionY(89.000000)
evasForward = App.TGPoint3()
evasForward.SetXYZ(0.000000, -1.000000, 0.000000)
evasUp = App.TGPoint3()
evasUp.SetXYZ(0.000000, 0.000000, 1.000000)
evas.SetOrientation(evasForward, evasUp)
evas.SetWidth(0.010000)
evas.SetLength(0.010000)
evas.SetArcWidthAngles(-1.047198, 1.047198)
evas.SetArcHeightAngles(0.000000, -1.308997)
evas.SetPhaserTextureStart(0)
evas.SetPhaserTextureEnd(0)
evas.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evas.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
evas.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evas.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
evas.SetInnerCoreColor(kColor)
evas.SetNumSides(6)
evas.SetMainRadius(0.150000)
evas.SetTaperRadius(0.010000)
evas.SetCoreScale(0.500000)
evas.SetTaperRatio(0.250000)
evas.SetTaperMinLength(5.000000)
evas.SetTaperMaxLength(30.000000)
evas.SetLengthTextureTilePerUnit(0.500000)
evas.SetPerimeterTile(1.000000)
evas.SetTextureSpeed(2.500000)
evas.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(evas)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Reyes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dorse warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("vent warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("port impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor System", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sheild Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle bay Port", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle bay Star", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port tube", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Tube", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("DF", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("DP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("DS", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("VF", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Fore", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Vent", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("First Person", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("evfp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("evfs", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("evap", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("evas", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
